Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1159829 (lxqt-openssh-askpass) - Review Request: lxqt-openssh-askpass - Askpass openssh transition dialog for LXQt desktop suite
Summary: Review Request: lxqt-openssh-askpass - Askpass openssh transition dialog for ...
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-openssh-askpass
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1157402
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-03 13:04 UTC by Helio Chissini de Castro
Modified: 2015-11-12 01:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 12:38:22 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2014-11-03 13:04:30 UTC
Spec URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-notificationd.spec
SRPM URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-openssh-askpass-0.8.0-2.fc21.src.rpm
Description: Askpass openssh transition dialog for LXQt desktop suite
Fedora Account System Username: heliocastro

Comment 1 Rex Dieter 2014-11-07 18:12:34 UTC
naming: ok

license: ok, could be ammended to
License: LGPLv2+

sources: ok
74e0fd9f684b4e855ea1c5accbd64d10  lxqt-openssh-askpass-0.8.0.tar.xz

macros: ok

scriptlets: ok (n/a)


thanks for moving to libexecdir, not sure if it's worth worrying about what happens when > 1 openssh-askpass provider is installed, and they stomp on each others' SSH_ASKPASS= env assignments, but I suppose that's outside the purview of this review


APPROVED

Comment 3 Mamoru TASAKA 2014-11-08 05:09:26 UTC
Oops... not this review, sorry.

Comment 4 Mamoru TASAKA 2014-11-08 06:51:17 UTC
* Does not build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=8068602

Comment 5 Rex Dieter 2014-11-08 12:42:12 UTC
The build failure was due to a naive attempt of ours to change the liblxqt cmake files, it does not reflect upon this review.

Comment 7 Helio Chissini de Castro 2014-11-12 15:11:51 UTC
New Package SCM Request
=======================
Package Name: lxqt-openssh-askpass
Short Description: Askpass openssh transition dialog for LXQt 
Upstream URL: http://lxqt.org
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 8 Rex Dieter 2014-12-19 12:41:52 UTC
New Package SCM Request
=======================
Package Name: lxqt-openssh-askpass
Short Description: Askpass openssh transition dialog for LXQt 
Upstream URL: http://lxqt.org/
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-12-19 13:49:29 UTC
Git done (by process-git-requests).

Comment 10 Jonathan Underwood 2015-01-24 02:30:55 UTC
Shouldn't this be closed?


Note You need to log in before you can comment on or make changes to this bug.